Package be.fgov.ehealth.technicalconnector.signature.domain

# Class SignatureVerificationResult

java.lang.Object
be.fgov.ehealth.technicalconnector.signature.domain.SignatureVerificationResult

All Implemented Interfaces:
  `Serializable`

public class SignatureVerificationResult extends Object implements Serializable
Result object containing the verification result.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatureVerificationResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(SignatureVerificationError error)`
  `List<X509Certificate>`
  `getCertChain()`
  `Set<SignatureVerificationError>`
  `getErrors()`
  `X509Certificate`
  `getSigningCert()`
  `Instant`
  `getSigningTime()`
  `List<Instant>`
  `getTimestampGenTimes()`
  `List<org.bouncycastle.tsp.TimeStampToken>`
  `getTsTokens()`
  `Instant`
  `getVerifiedSigningTime(int amount, TimeUnit unit)`
  `boolean`
  `isValid()`
  `void`
  `setSigningCert(X509Certificate signingCert)`
  `void`
  `setSigningTime(Instant signingTime)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignatureVerificationResult

    public SignatureVerificationResult()

- ## Method Details

  - ### isValid

    public boolean isValid()

  - ### getErrors

    public Set<SignatureVerificationError> getErrors()
    Returns:
      the errors

  - ### getSigningCert

    public X509Certificate getSigningCert()
    Returns:
      the signingCert

  - ### setSigningCert

    public void setSigningCert(X509Certificate signingCert)
    Parameters:
      `signingCert` - the signingCert to set

  - ### getSigningTime

    public Instant getSigningTime()
    Returns:
      the signingTime

  - ### setSigningTime

    public void setSigningTime(Instant signingTime)
    Parameters:
      `signingTime` - the signingTime to set

  - ### getTimestampGenTimes

    public List<Instant> getTimestampGenTimes()
    Returns:
      the timestampGenTime

  - ### getVerifiedSigningTime

    public Instant getVerifiedSigningTime(int amount, TimeUnit unit)

  - ### addError

    public void addError(SignatureVerificationError error)

  - ### getTsTokens

    public List<org.bouncycastle.tsp.TimeStampToken> getTsTokens()
    Returns:
      the tsToken

  - ### getCertChain

    public List<X509Certificate> getCertChain()
    Returns:
      the certChain